Re: Versionierung von Paketen und Programmen

From: Thomas Hochstein <uugrn_at_ml.th-h.de>
Date: Sat, 20 Mar 2021 11:19:51 +0100
Werner Holtfreter schrieb:

> digikam 4:5.9.0-1+b1 es zeigt sich nach dem Start als 5.9.0.

Das kommt, AFAIS, direkt von Debian.

> Außerdem gibt es noch das KDE3-Paket
> 
> digikam-trinity 4:14.0.6-debian10.0.0+0~a

Das kommt dann wohl vom Trinity Desktop Environment
<http://trinitydesktop.org/>.

> Letzteres Programm bricht beim Startversuch mit Fehler ab, so dass 
> ich nicht sehe, unter welcher Version es sich meldet. Bei analoger 
> Bezeichnung müsste das Version 14.0.6 sein. Das stimmt aber nicht, 
> die neueste Version ist lt. www.digikam.org 7.2.0-rc.

Trinity vergibt offenbar eigene Versionen; derzeit ist das Release
R14.0.x aktuell.

<http://mirror.git.trinitydesktop.org/cgit/digikam/> ist das
Repository von digikam(-trinity), AFAIS.

<http://mirror.git.trinitydesktop.org/cgit/digikam/tag/?h=r14.0.6>
ist Dein 14.0.6.

<http://mirror.git.trinitydesktop.org/cgit/digikam/tree/ChangeLog?h=r14.0.6&id=fe2c5c1e6647f2d03e323c8fbfa01916c3fc54da>
ist das Changelog dazu; demnach wäre es
| 0.9.6 2009-07-03

Denkbar, dass man das Changelog einfach nicht mehr aktualisiert hat;
denkbar, dass man seitdem tatsächlich nur gepatcht hat.

Grüße,
-thh
-- 
UUGRN e.V. http://www.uugrn.org/
http://mailman.uugrn.org/mailman/listinfo/uugrn
Wiki: https://wiki.uugrn.org/UUGRN:Mailingliste
Archiv: http://lists.uugrn.org/
Received on 20.03.2021

This archive was generated by hypermail 2.3.0 : 20.03.2021 CET